#include "generated/vn_assets.meta.h"
#include "generated/vn_assets.meta.c"

struct asset
{
    asset_id ID;
    b32 IsLoaded;
    render_handle Handle;
};

struct assets
{
    asset Assets[AssetID_COUNT];
    
    render_allocate_texture *AllocateTexture;
};

static assets *GetAssets();
static void SetAssets(assets *Assets);

static void          A_LoadAsset(asset_id ID);
static void          A_LoadPermanentAssets(assets *Assets);
static render_handle A_TextureFromAssetID(asset_id ID);
static r32           A_ScaleFromAssetID(asset_id ID);
static asset_id      A_AssetIDFromString(string String);